> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Particular Skill

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/contact-center/api-list)</Badge>

# Update a Particular Skill

To update the particular skill with the given `streamId`, `skillGroupId`, and `skillId`.

| Method            | PUT                                                                                                                            |
| :---------------- | :----------------------------------------------------------------------------------------------------------------------------- |
| **Endpoint**      | `https://{{host}}/agentassist/api/v1/public/{{botId}}/skill-groups/{{skillGroupId}}/skills/{skillId}`                          |
| **Content Type**  | `application/json`                                                                                                             |
| **Authorization** | `auth: {{JWT}}` See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction#generating-the-jwt-token) |
| **API Scope**     | SmartAssist Analytics                                                                                                          |

## Path Parameters

| Parameter      | Description                                                   | Type             |
| :------------- | :------------------------------------------------------------ | :--------------- |
| `host`         | Environment URL, for example, `https://platform.kore.ai`      | string, required |
| `streamId`     | botId or streamId. You can get it from the App Settings page. | string, required |
| `skillGroupId` | ID of the Skill Group.                                        | string, required |
| `skillId`      | ID of the Skill.                                              | string, required |

## Sample Request

```bash theme={null}
curl --location --request PUT \
     'https://{{host}}/agentassist/api/v1/public/{{streamId}}/skill-groups/{{skillGroupId}}/skills/{skillId}' \
     --header 'auth: {jwt-code}' \
      --header 'Content-Type: application/json' \
      --data-raw '{
    "name": "Account Management",
    "description": "Manage Account and its Settings",
    "agents": [
        {
            "userId": "u-122x",
            "proficiencyLevel": "high",
            "firstName": "test",
            "lastName": "test",
            "email": "username@domain.com"
        }
    ],
}'
```

## Body Parameters

| Parameter          | Description                                                                                                                                 | Type             |
| :----------------- | :------------------------------------------------------------------------------------------------------------------------------------------ | :--------------- |
| `name`             | Name of the skill.                                                                                                                          | String, Required |
| `description`      | Brief description of the skill up to 200 characters.                                                                                        | string, optional |
| `skillGroupId`     | Id of the skill Group, which you can find with [GET /skill-groups](/ai-for-service/apis/contact-center/get-a-skill-group). Example: sg-4372 | string, required |
| `agents`           | An array of Objects with the following details.                                                                                             | string, optional |
| `userId`           | This is the user Id that you can find with [GET /agents](/ai-for-service/apis/contact-center/list-all-agents).                              | string, optional |
| `proficiencyLevel` | The Proficiency level can be: expert, novice, average, good. For example, ‘expert’                                                          | string, optional |

## Sample Response

```json theme={null}
 {
    "id": "sk-87679",
    "name": "Account Management",
    "description": "Manage Account and its Settings",
    "agents": 15,
    "skillGroupId": "sg-4372"
   }
```
